net.sf.jasperreports.engine.export

## Class JExcelApiLocalHyperlinkInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.JExcelApiLocalHyperlinkInfo

- Deprecated.
  To be removed.

      public class JExcelApiLocalHyperlinkInfo
      extends java.lang.Object

  Version:
    $Id: XlsxDataAdapterImpl.java 6977 2014-03-14 09:11:47Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JExcelApiLocalHyperlinkInfo()` Deprecated.
    `JExcelApiLocalHyperlinkInfo(java.lang.String description, jxl.write.WritableSheet sheet, int col, int row, int lastCol, int lastRow)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCol()` Deprecated.
    `java.lang.String` | `getDescription()` Deprecated.
    `int` | `getLastCol()` Deprecated.
    `int` | `getLastRow()` Deprecated.
    `int` | `getRow()` Deprecated.
    `jxl.write.WritableSheet` | `getSheet()` Deprecated.
    `void` | `setCol(int col)` Deprecated.
    `void` | `setDescription(java.lang.String description)` Deprecated.
    `void` | `setLastCol(int lastCol)` Deprecated.
    `void` | `setLastRow(int lastRow)` Deprecated.
    `void` | `setRow(int row)` Deprecated.
    `void` | `setSheet(jxl.write.WritableSheet sheet)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JExcelApiLocalHyperlinkInfo

          public JExcelApiLocalHyperlinkInfo()

      Deprecated.

    - #### JExcelApiLocalHyperlinkInfo

          public JExcelApiLocalHyperlinkInfo(java.lang.String description,
                                     jxl.write.WritableSheet sheet,
                                     int col,
                                     int row,
                                     int lastCol,
                                     int lastRow)

      Deprecated.

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Deprecated.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Deprecated.

    - #### getCol

          public int getCol()

      Deprecated.

    - #### setCol

          public void setCol(int col)

      Deprecated.

    - #### getRow

          public int getRow()

      Deprecated.

    - #### setRow

          public void setRow(int row)

      Deprecated.

    - #### getLastCol

          public int getLastCol()

      Deprecated.

    - #### setLastCol

          public void setLastCol(int lastCol)

      Deprecated.

    - #### getLastRow

          public int getLastRow()

      Deprecated.

    - #### setLastRow

          public void setLastRow(int lastRow)

      Deprecated.

    - #### getSheet

          public jxl.write.WritableSheet getSheet()

      Deprecated.

    - #### setSheet

          public void setSheet(jxl.write.WritableSheet sheet)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com